--- targets

create table targets (
    id bigint primary key identity(1, 1),
    project_id bigint not null references projects(id),
    [type] nvarchar(255) not null,
    enabled bit not null,

    reaction_time nvarchar(255),
    response_time nvarchar(255),
    inactivity_time nvarchar(255),

    created_at datetimeoffset not null,
    updated_at datetimeoffset not null,
    deleted_at datetimeoffset
);

create unique index targets_project_ix on targets(project_id, [type]);
